summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Andrew Clemons2016-09-13 19:02:22 +0200
committer Willy Sudiarto Raharjo2016-09-14 04:46:42 +0200
commit83cabfa264906b370e15d6b51ccf4332cc15617a (patch)
tree8f2f7e5dd09abd7e4b908cc41d135b1c8a118fa8
parent0279cff648b8ebd22af16fc20a6e46e950426803 (diff)
downloadslackbuilds-83cabfa264906b370e15d6b51ccf4332cc15617a.tar.gz
system/jsawk: Added (like awk, but for JSON).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/jsawk/README1
-rw-r--r--system/jsawk/jsawk.SlackBuild58
-rw-r--r--system/jsawk/jsawk.info10
-rw-r--r--system/jsawk/slack-desc19
4 files changed, 88 insertions, 0 deletions
diff --git a/system/jsawk/README b/system/jsawk/README
new file mode 100644
index 0000000000..9c82b67cfd
--- /dev/null
+++ b/system/jsawk/README
@@ -0,0 +1 @@
+jsawk - jsawk is like awk, but for JSON
diff --git a/system/jsawk/jsawk.SlackBuild b/system/jsawk/jsawk.SlackBuild
new file mode 100644
index 0000000000..0e6dfa77d2
--- /dev/null
+++ b/system/jsawk/jsawk.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+# Slackware build script for jsawk
+
+# Copyright 2013,2016 Andrew Clemons, Wellington, New Zealand
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=jsawk
+VERSION=${VERSION:-1.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+mkdir -p $PKG/usr/bin
+
+cp $CWD/jsawk $PKG/usr/bin
+chmod 0755 $PKG/usr/bin/jsawk
+chown root:root $PKG/usr/bin/jsawk
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/system/jsawk/jsawk.info b/system/jsawk/jsawk.info
new file mode 100644
index 0000000000..a5cdeac52c
--- /dev/null
+++ b/system/jsawk/jsawk.info
@@ -0,0 +1,10 @@
+PRGNAM="jsawk"
+VERSION="1.4"
+HOMEPAGE="http://github.com/micha/jsawk"
+DOWNLOAD="https://raw.github.com/micha/jsawk/1.4/jsawk"
+MD5SUM="14b6feff494845879a604a729e76c13a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Andrew Clemons"
+EMAIL="andrew.clemons@gmail.com"
diff --git a/system/jsawk/slack-desc b/system/jsawk/slack-desc
new file mode 100644
index 0000000000..b60e123345
--- /dev/null
+++ b/system/jsawk/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jsawk: jsawk (like awk, but for JSON)
+jsawk:
+jsawk: You work with an array of JSON objects read from stdin, filter them
+jsawk: using JavaScript to produce a results array that is printed to stdout
+jsawk:
+jsawk:
+jsawk:
+jsawk:
+jsawk: https://github.com/micha/jsawk
+jsawk:
+jsawk: